import { Module } from '@nestjs/common';
import { SaleQuotationGroupModule } from './group/sale_quotation_group.module';
import { SaleQuotationTemplateModule } from './template/sale_quotation_template.module';
import { SaleQuotationComponentModule } from './component/sale_quotation_component.module';
import { RouterModule } from '@nestjs/core';
const modules = [
  SaleQuotationComponentModule,
  SaleQuotationGroupModule,
  SaleQuotationTemplateModule
];
@Module({
  imports: [
    ...modules,
    RouterModule.register([
      {
        path: 'sale_quotation',
        module: SaleQuotationModule,
        children: [...modules]
      }
    ])
  ],
  controllers: [],
  providers: []
})
export class SaleQuotationModule {}
