import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StorageModule } from '~/modules/tools/storage/storage.module';
import { DatabaseModule } from '~/shared/database/database.module';
import { SaleQuotationTemplateService } from './sale_quotation_template.service';
import { SaleQuotationTemplateController } from './sale_quotation_template.controller';
import { SaleQuotationTemplateEntity } from './sale_quotation_template.entity';

@Module({
  imports: [TypeOrmModule.forFeature([SaleQuotationTemplateEntity]), DatabaseModule],
  controllers: [SaleQuotationTemplateController],
  providers: [SaleQuotationTemplateService]
})
export class SaleQuotationTemplateModule {}
